.rotate-180 {
  transform: rotate(180deg);
}

.transition-transform {
  transition: transform 0.3s ease;
}

.custom-checkbox {
  width: 16px;
  height: 16px;
  accent-color: #000;
  cursor: pointer;
  border: 1px solid #929292;
}

#mobile-filter-overlay {
  transition: opacity 0.2s ease;
}

#mobile-filter-overlay.active {
  display: block;
  opacity: 1;
}

#mobile-filter-overlay .filter-panel {
  transform: translateY(100%);
  transition: transform 0.3s ease;
}

#mobile-filter-overlay.show .filter-panel {
  transform: translateY(0%);
}
